package com.yuchen.saas.park.api.commons.enums;

import com.yuchen.saas.park.api.commons.CodeAndDescriptionAble;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import javax.validation.constraints.NotBlank;

@Getter
@RequiredArgsConstructor
public enum DoorAccessControlConfigState implements CodeAndDescriptionAble {
    INIT(0, "初始化:仅配置"),
    EFFECTIVE(1, "待生效:下发"),
    EXPIRED(-1, "过期待删除");

    private final int code;
    @NotBlank
    private final String description;
}
